Bug 875352 - Review Request: xyzsh - Interactive shell and text processing tool
Summary: Review Request: xyzsh - Interactive shell and text processing tool
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 875353
TreeView+ depends on / blocked
 
Reported: 2012-11-10 18:57 UTC by Mamoru TASAKA
Modified: 2013-01-03 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-03 16:57:53 UTC
kwizart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2012-11-10 18:57:08 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mfiler4-related/xyzsh.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mfiler4-related/xyzsh-1.1.9-1.fc.src.rpm
Description: 
xyzsh is an interactive shell and a text processing tool.
It contains a text processing inner commands like Perl or Ruby, 
and can be used as a simple objective oriented script language.

Fedora Account System Username: mtasaka

Koji scratch build:
F-19 http://koji.fedoraproject.org/koji/taskinfo?taskID=4675666
F-18 http://koji.fedoraproject.org/koji/taskinfo?taskID=4675669
F-17 http://koji.fedoraproject.org/koji/taskinfo?taskID=4675670

Comment 1 Mamoru TASAKA 2012-11-10 19:03:18 UTC
Needed by mfiler4 (bug 875353)

Comment 5 Nicolas Chauvet (kwizart) 2013-01-02 22:57:53 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[?]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: xyzsh-devel-1.2.7-1.fc17.x86_64.rpm
          xyzsh-1.2.7-1.fc17.x86_64.rpm
          xyzsh-debuginfo-1.2.7-1.fc17.x86_64.rpm
          xyzsh-1.2.7-1.fc17.src.rpm
xyzsh-devel.x86_64: W: spelling-error Summary(en_US) cmigemo -> hegemonic
xyzsh-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xyzsh xyzsh-devel xyzsh-debuginfo
xyzsh-devel.x86_64: W: spelling-error Summary(en_US) cmigemo -> hegemonic
xyzsh-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Comment 6 Nicolas Chauvet (kwizart) 2013-01-02 23:22:32 UTC
I have a little cosmetic annoyance as you seems to prefer tab over space, it looks weird to have a tab for the %doc line instead of one simple space.
Also the Group line of the devel is missing one tab.

Another concern is about dynamic patching. Specially as if the SONAME is  correctly set in the shared object, your patch might become wrong.

Besides that I have not other concern, usability was tested by building mfiler4


--------------------------------------

This package (xyzsh) is APPROVED by me

--------------------------------------

Comment 7 Mamoru TASAKA 2013-01-03 07:45:40 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name: xyzsh
Short Description: Interactive shell and text processing tool
Owners: mtasaka
Branches: f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-01-03 15:21:06 UTC
Git done (by process-git-requests).

Comment 9 Mamoru TASAKA 2013-01-03 16:57:53 UTC
Rebuilt on F-19/18/17, push requested on F-18/F-17 (on bodhi).
F-19 build should appear on koji buildroot soon.

Thank you for review and git procedure, closing.


Note You need to log in before you can comment on or make changes to this bug.